Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

need to update MIITW version to run kingdoms???

Bulldog BreedBulldog Breed Junior MemberPosts: 1Registered Users
ok i tried installing the kingdoms expansion and it said need to update version of M2TW before i can install the kingdoms expansion i was able to get a hold of patch 1.2 at a reasonable pace before i get my hopes up and install the update i want to know if it should work with that version or do i need the 1.3 wich i cannot obtain at a decent dl speed
Post edited by Bulldog Breed on

Comments

Sign In or Register to comment.